Start screen recording
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording/start"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"file_path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"duration_seconds": 123,
"file_size_bytes": 123
}Recording
Start screen recording
POST
/
v1
/
machines
/
{id}
/
desktop
/
recording
/
start
Start screen recording
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording/start"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"file_path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"duration_seconds": 123,
"file_size_bytes": 123
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Body
application/json